=== debian/changelog ===
miniupnpd (2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Enable leasefile.
  * debian/miniupnpd-startstop-helper.sh: Detect nftables without iptables
    (Closes: #992603).
  * Fix FTCBFS: Let dpkg's buildtools.mk supply cross tools (Closes: #982259).
  * Start service in background for systemd unit file (Closes: #981236).
  * Update Debconf translations, with thanks to:
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #987229).
    - Swedish, Martin Bagge / brother (Closes: #995298).
  * Bump Standards-Version to 4.6.0.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 03 Oct 2021 13:50:36 +0800
