## miniupnpd 2.3.1

=== debian/changelog ===
miniupnpd (2.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix nftables scripts (Closes: #994726).
  * Fix systemd unit file (Closes: #1008797).
  * Update Spanish debconf translation, thanks to Camaleón <noelamac@gmail.com>
    (Closes: #1017459).
  * Bump Standards-Version to 4.6.2.

 -- Yangfl <mmyangfl@gmail.com>  Thu, 22 Dec 2022 00:38:53 +0800

miniupnpd (2.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:22:46 +0200
