=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  pkg-config,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/miniupnp-team/miniupnpd
 Vcs-Git: https://salsa.debian.org/miniupnp-team/miniupnpd.git
 Homepage: http://miniupnp.free.fr/
