=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =

export SRCDIR = .


%:
	dh $@

override_dh_auto_clean:
	+$(MAKE) -f Makefile.linux clean
	rm -f .configure.cache config.mk config.h Makefile netfilter/miniupnpd netfilter_nft/miniupnpd

override_dh_auto_configure:
	# skip

override_dh_auto_build:
	# leasefile, see #961877 and merge_requests/1
	./configure --igd2 --ipv6 --vendorcfg --pcp-peer --portinuse --leasefile --firewall=iptables
	+$(MAKE) -f Makefile.linux miniupnpd
	mv miniupnpd netfilter/
	+$(MAKE) -f Makefile.linux clean
	./configure --igd2 --ipv6 --vendorcfg --pcp-peer --portinuse --leasefile --firewall=nftables
	+$(MAKE) -f Makefile.linux_nft miniupnpd
	mv miniupnpd netfilter_nft/

override_dh_auto_test:
	# some test scripts missing from the tarball

override_dh_auto_install:
	+$(MAKE) -f Makefile.linux_nft install STRIP=echo DESTDIR=debian/tmp
	+$(MAKE) -f Makefile.linux install STRIP=echo DESTDIR=debian/tmp
	# I don't know why
	rm debian/tmp/etc/miniupnpd/miniupnpd.conf~

execute_after_dh_install-indep:
	# Move the miniupnpd.conf in /usr/share so it's not marked as CONFFILE
	mkdir -p $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd
	mv $(CURDIR)/debian/miniupnpd/etc/miniupnpd/miniupnpd.conf $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/
	sed -i " \
		/^secure_mode=no/ d; \
		/^notify_interval=60/ d; \
		s/^clean_ruleset_interval=600/#clean_ruleset_interval=600/; \
		s/^allow/#allow/; \
		s/^deny/#deny/; \
		s/^uuid=.*/uuid=/; \
	" $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/miniupnpd.conf

	# Copy the /etc/default/miniupnpd to /usr/share
	cp $(CURDIR)/debian/examples/miniupnpd.default $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/

override_dh_installinit-indep:
	dh_installinit -i --no-enable --no-start

override_dh_installsystemd-indep:
	dh_installsystemd -i --no-enable --no-start


############################################
### Below is to manage upstream Git repo ###
### and is not used during package build ###
############################################

display-po-stats:
	cd $(CURDIR)/debian/po ; for i in *.po ; do \
		echo -n $$i": " ; \
		msgfmt -o /dev/null --statistic $$i ; \
	done

call-for-po-trans:
	podebconf-report-po --call --withtranslators --languageteam
