## miniupnpd 2.3.3

=== debian/changelog ===
miniupnpd (2.3.3-1) unstable; urgency=medium

  * New upstream release.
    - Fix nftables scripts (Closes: #994726).
  * Split miniupnpd_functions.sh for each backend. (Closes: #1039054).
  * Add Romanian debconf translaiton, thanks to "Remus-Gabriel Chelu"
    <remusgabriel.chelu@disroot.org> (Closes: #1032727).

 -- Yangfl <mmyangfl@gmail.com>  Sun, 06 Aug 2023 07:27:24 +0800
