## miniupnpd 2.3.4

=== debian/changelog ===
miniupnpd (2.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Yangfl <mmyangfl@gmail.com>  Wed, 10 Jan 2024 23:59:14 +0800
