=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
  ${misc:Pre-Depends},
 Depends:
  debconf,
- lsb-base,
  uuid-runtime,
  miniupnpd-nftables | miniupnpd-iptables,
  ${misc:Depends},
@@ -39,11 +38,12 @@
 Package: miniupnpd-nftables
 Architecture: linux-any
 Depends:
+ miniupnpd,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts: miniupnpd-iptables
-Breaks: miniupnpd (<< 2.2.0)
-Replaces: miniupnpd (<< 2.2.0)
+Breaks: miniupnpd (<< 2.3.3)
+Replaces: miniupnpd (<< 2.3.3)
 Description: UPnP and NAT-PMP daemon for gateway routers - nftables backend
  MiniUPnPd is a small daemon which can be installed on a NAT router to
  provide UPnP Internet Gateway Device and Port Mapping Protocol services,
@@ -57,12 +57,13 @@
 Package: miniupnpd-iptables
 Architecture: linux-any
 Depends:
+ miniupnpd,
  iptables,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts: miniupnpd-nftables
-Breaks: miniupnpd (<< 2.2.0)
-Replaces: miniupnpd (<< 2.2.0)
+Breaks: miniupnpd (<< 2.3.3)
+Replaces: miniupnpd (<< 2.3.3)
 Description: UPnP and NAT-PMP daemon for gateway routers - legacy iptables backend
  MiniUPnPd is a small daemon which can be installed on a NAT router to
  provide UPnP Internet Gateway Device and Port Mapping Protocol services,
