=== debian/rules ===
--- 
+++ 
@@ -38,13 +38,8 @@
 override_dh_auto_install:
 	+$(MAKE) -f Makefile.linux_nft install STRIP=echo DESTDIR=debian/tmp
 	+$(MAKE) -f Makefile.linux install STRIP=echo DESTDIR=debian/tmp
-	# I don't know why
-	rm debian/tmp/etc/miniupnpd/miniupnpd.conf~
 
-execute_after_dh_install-indep:
-	# Move the miniupnpd.conf in /usr/share so it's not marked as CONFFILE
-	mkdir -p $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd
-	mv $(CURDIR)/debian/miniupnpd/etc/miniupnpd/miniupnpd.conf $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/
+execute_after_dh_auto_install:
 	sed -i " \
 		/^secure_mode=no/ d; \
 		/^notify_interval=60/ d; \
@@ -52,10 +47,7 @@
 		s/^allow/#allow/; \
 		s/^deny/#deny/; \
 		s/^uuid=.*/uuid=/; \
-	" $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/miniupnpd.conf
-
-	# Copy the /etc/default/miniupnpd to /usr/share
-	cp $(CURDIR)/debian/examples/miniupnpd.default $(CURDIR)/debian/miniupnpd/usr/share/miniupnpd/
+	" $(CURDIR)/debian/tmp/etc/miniupnpd/miniupnpd.conf
 
 override_dh_installinit-indep:
 	dh_installinit -i --no-enable --no-start
