=== debian/watch ===
version=4
opts=filenamemangle=s/.*file=([^&]*)/$1/,uversionmangle=s/-RC/~rc/,pgpsigurlmangle=s%$%.sig% \
	http://miniupnp.free.fr/files/download.php\?file=miniupnpd-(\d\.\d(?:\.\d)?(?:-.*)?).tar.gz
