=== netfilter_nft/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 testnftnlrdr:	nftnlrdr.o nftnlrdr_misc.o testnftnlrdr.o $(LIBS)
 
-testnftpinhole:	nftpinhole.o nftnlrdr_misc.o testnftpinhole.o \
+testnftpinhole:	nftpinhole.o nftnlrdr.o nftnlrdr_misc.o testnftpinhole.o \
 	../upnputils.o ../linux/getroute.o $(LIBS)
 
 test_nfct_get:	test_nfct_get.o test_nfct_get.o -lmnl -lnetfilter_conntrack
