=== debian/changelog ===
miniupnpd (2.3.7-2) unstable; urgency=medium

  * Add netfilter_nft/README.md as doc (Closes: #1095264).
  * Suggest users to edit config files before starting the daemon
    (Closes: #1066874, #1090753).
  * Bump Standards-Version to 4.7.2.

 -- Yangfl <mmyangfl@gmail.com>  Sat, 08 Mar 2025 00:07:52 +0800

miniupnpd (2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Increase TasksMax in systemd service file to avoid forking problems.
    (Closes: #1033012).
  * Use either iproute* tool in config script. (Closes: #1070472).
  * Bump Standards-Version to 4.7.0.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 30 Jun 2024 21:54:53 +0800
