=== debian/changelog ===
miniupnpd (2.3.9-2) unstable; urgency=medium

  * Fix autopkgtest.

 -- Yangfl <mmyangfl@gmail.com>  Fri, 09 May 2025 23:45:01 +0800

miniupnpd (2.3.9-1) unstable; urgency=medium

  * New upstream release.
  * Add / update Debconf translations, with thanks to:
    - Portuguese, Américo Monteiro (Closes: #1100584).
    - Dutch, Frans Spiesschaert (Closes: #1101073).
    - German, Helge Kreutzmann (Closes: #1101133).
    - Spanish, Camaleón (Closes: #1101507).
    - Romanian, Remus-Gabriel Chelu (Closes: #1101823).
    - Brazilian Portuguese, Adriano Rafael Gomes (Closes: #1103452).
    - Catalan, Carles Pina i Estany.

 -- Yangfl <mmyangfl@gmail.com>  Sun, 04 May 2025 21:54:16 +0800
