=== debian/control ===
Source: miniupnpd
Section: net
Priority: optional
Maintainer: Thomas Goirand <zigo@debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 pkgconf,
 libiptc-dev,
 libxtables-dev,
 libnftnl-dev,
 libmnl-dev,
 po-debconf,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/miniupnp-team/miniupnpd
Vcs-Git: https://salsa.debian.org/miniupnp-team/miniupnpd.git
Homepage: https://miniupnp.tuxfamily.org/

Package: miniupnpd
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 debconf,
 uuid-runtime,
 miniupnpd-nftables | miniupnpd-iptables,
 ${misc:Depends},
Description: Lightweight UPnP IGD & PCP/NAT-PMP daemon
 MiniUPnPd is a small daemon which can be installed on a NAT router to provide
 UPnP IGD & PCP/NAT-PMP port mapping services, enabling clients on the LAN to
 ask for port maps. It is compatible with peer-to-peer software, messaging
 applications, and games consoles that connect to online services (including
 Xbox LIVE and the PlayStation Network).

Package: miniupnpd-nftables
Architecture: linux-any
Depends:
 miniupnpd,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: miniupnpd-iptables
Breaks: miniupnpd (<< 2.3.3)
Replaces: miniupnpd (<< 2.3.3)
Description: Lightweight UPnP IGD & PCP/NAT-PMP daemon - nftables backend
 MiniUPnPd is a small daemon which can be installed on a NAT router to provide
 UPnP IGD & PCP/NAT-PMP port mapping services, enabling clients on the LAN to
 ask for port maps. It is compatible with peer-to-peer software, messaging
 applications, and games consoles that connect to online services (including
 Xbox LIVE and the PlayStation Network).
 .
 This package provides miniupnpd with nftables backend.

Package: miniupnpd-iptables
Architecture: linux-any
Depends:
 miniupnpd,
 iptables,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: miniupnpd-nftables
Breaks: miniupnpd (<< 2.3.3)
Replaces: miniupnpd (<< 2.3.3)
Description: Lightweight UPnP IGD & PCP/NAT-PMP daemon - legacy iptables backend
 MiniUPnPd is a small daemon which can be installed on a NAT router to provide
 UPnP IGD & PCP/NAT-PMP port mapping services, enabling clients on the LAN to
 ask for port maps. It is compatible with peer-to-peer software, messaging
 applications, and games consoles that connect to online services (including
 Xbox LIVE and the PlayStation Network).
 .
 This package provides miniupnpd with iptables backend. The iptables/xtables
 framework has been replaced by nftables. You should consider migrating now.
