=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 
 export SRCDIR = .
 
+# leasefile, see #961877 and merge_requests/1
+CONFIG_ARGS = --ipv6 --igd2 --leasefile --vendorcfg --pcp-peer --portinuse --regex
 
 %:
 	dh $@
@@ -23,12 +25,11 @@
 	# skip
 
 override_dh_auto_build:
-	# leasefile, see #961877 and merge_requests/1
-	./configure --igd2 --ipv6 --vendorcfg --pcp-peer --portinuse --leasefile --firewall=iptables
+	./configure $(CONFIG_ARGS) --firewall=iptables
 	+$(MAKE) -f Makefile.linux miniupnpd
 	mv miniupnpd netfilter/
 	+$(MAKE) -f Makefile.linux clean
-	./configure --igd2 --ipv6 --vendorcfg --pcp-peer --portinuse --leasefile --firewall=nftables
+	./configure $(CONFIG_ARGS) --firewall=nftables
 	+$(MAKE) -f Makefile.linux_nft miniupnpd
 	mv miniupnpd netfilter_nft/
